IMG_0011.JPG=Flags
IMG_0014.JPG=Gladiators win! Saluting the fans
IMG_0012.JPG=Mike wouldn't throw his hat for the hat trick.
IMG_0015.JPG=Gladiators win! Saluting the fans
IMG_0009.JPG=Really big soldier!
IMG_0010.JPG=It was a rainy day.
IMG_0013.JPG=Gladiators win! Saluting the fans
